OGRE: Ogre::ObjCmdBuffer Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::ObjCmdBuffer Class Reference
Core » Resources

`#include <OgreObjCmdBuffer.h>`

Inheritance diagram for Ogre::ObjCmdBuffer:
[legend]

## Classes
class | Cmd
class | ExceptionThrown
class | NotifyDataIsReady
class | OutOfDateCache
class | TransitionToLoaded
class | UploadFromStagingTex

## Public Member Functions
| ~ObjCmdBuffer ()
template<typename T >
T * | addCommand ()
void | clear (void)
void | commit (void)
void | execute (void)
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | swapCommitted (ObjCmdBuffer *workerThread)

## Constructor & Destructor Documentation

## ◆ ~ObjCmdBuffer()

Ogre::ObjCmdBuffer::~ObjCmdBuffer | ( |  | ) |

## Member Function Documentation

## ◆ addCommand()

template<typename T >

T* Ogre::ObjCmdBuffer::addCommand | ( |  | ) |
| inline

References Ogre::FastArray< T >::push_back().

## ◆ clear()

void Ogre::ObjCmdBuffer::clear | ( | void |  | ) |

## ◆ commit()

void Ogre::ObjCmdBuffer::commit | ( | void |  | ) |

## ◆ execute()

void Ogre::ObjCmdBuffer::execute | ( | void |  | ) |

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ swapCommitted()

void Ogre::ObjCmdBuffer::swapCommitted | ( | ObjCmdBuffer * | workerThread | ) |

The documentation for this class was generated from the following file:

- OgreObjCmdBuffer.h